Subject: Re: [QGIT PATCH/RFC]

From: Abdelrazak Younes <[email-masked]>
Date: Thu, 05 Nov 2009 10:50:42 +0100

Marco Costalba wrote:
> Hi Abdel,
>
> On Wed, Nov 4, 2009 at 15:56, Abdelrazak Younes <[email-masked]> wrote:
>   
>> Hello Marco,
>>
>> While recompiling latest qgit4, I stumbled accross this. I am not quite sure
>> you used a QLatin1String instead of a QByteArray but the attached seems to
>> work fine...
>>
>>     
>
> Unfortunatly I cannot say the same here ;-)
>
>
>   
>> -class ShaString;
>> +typedef QByteArray ShaString;
>>     
>
> ...... cut ......
>
>   
>>  uint qHash(const ShaString& s) { // fast path, called 6-7 times per
>> revision
>>
>>     
>
> Function:
>
> uint qHash(const QByteArray&);
>
> is already defined in the Qt Core libraries, so I have a link error
> with your patch.
>   

Weird... it links just fine here... anyway this can be solved by 
renaming your version. Or just using the Qt version if that does the 
same thing ;-)

> BTW I don't think I have understood the reason of your patch. Do you
> have a compile error or something ?
>   

No, I had some warnings so I looked at the code and I just thought that 
QLatin1String was not appropriate here and overkill. And QByteArray 
should be faster...

Anyway, this was just FYI, I don't think this patch is important at all :-)

Abdel.